#ifndef __CARDEDITOR_ADDRESSES_H__
#define __CARDEDITOR_ADDRESSES_H__

/* GNOME Card Editor Addresses Object
 * Copyright (C) 2002  Sebastian Rittau <srittau@jroger.in-berlin.de>
 *
 * $Id: cardeditor-addresses.h,v 1.2 2002/08/24 17:02:04 srittau Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <glib.h>

#include <mimedir/mimedir-vcard.h>

#include "cardeditor-editlist.h"


#define CARDEDITOR_TYPE_ADDRESSES		(cardeditor_addresses_get_type())
#define CARDEDITOR_ADDRESSES(obj)		(GTK_CHECK_CAST ((obj), CARDEDITOR_TYPE_ADDRESSES, CardEditorAddresses))
#define CARDEDITOR_ADDRESSES_CLASS(klass)	(GTK_CHECK_CLASS_CAST ((klass), CARDEDITOR_TYPE_ADDRESSES))
#define CARDEDITOR_IS_ADDRESSES(obj)		(GTK_CHECK_TYPE ((obj), CARDEDITOR_TYPE_ADDRESSES))
#define CARDEDITOR_IS_ADDRESSES_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), CARDEDITOR_TYPE_ADDRESSES))

typedef struct _CardEditorAddresses		CardEditorAddresses;
typedef struct _CardEditorAddressesClass	CardEditorAddressesClass;
typedef struct _CardEditorAddressesPriv		CardEditorAddressesPriv;

struct _CardEditorAddresses
{
	CardEditorEditList parent;

	CardEditorAddressesPriv *priv;
};

struct _CardEditorAddressesClass
{
	CardEditorEditListClass parent_class;
};


GType		 cardeditor_addresses_get_type		(void);
GtkWidget	*cardeditor_addresses_new		(void);

void		 cardeditor_addresses_edit_vcard	(CardEditorAddresses *addresses, MIMEDirVCard *vcard);

#endif /* __CARDEDITOR_ADDRESSES_H__ */
